Get Agent Responses for User Message

Version 4.0.26.18 (latest)

Get Agent Responses for User Message

Get all agent response messages generated for a specific user prompt.

An agent response often consists of multiple message blocks (such as text explanations, visualizations, and follow-up suggestions). This endpoint returns all response messages following the specified user message up to the next user prompt.

Request

GET /conversations/{conversation_id}/messages/{user_message_id}/responses
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
conversation_id
string
Conversation ID
user_message_id
string
User Conversation Message ID
query
HTTP Query
Expand HTTP Query definition...
fields
string
Requested fields

Response

200: agent response messages

Datatype
Description
can
object
Operations the current user is able to perform on this object
id
string
Message unique identifier
message
object
Message content
type
string
Message type
order
integer
Message order

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link